# Search message dispatch history with filters
URL: /docs/api-reference/transactional-sms/searchHistory

## GET `/api/v1/public/sms/history/search`

**Summary:** Search message dispatch history with filters
**Operation ID:** `searchHistory`

Search and paginate through dispatch logs by phone number, message text keyword, delivery status, or date range.

**Authentication:** `X-Api-Key: sk_live_...` or `Authorization: Bearer sk_live_...`

### Parameters

| Name | In | Required | Description |
| :--- | :--- | :--- | :--- |
| `q` | `query` | No | Search query matching recipient or text |
| `status` | `query` | No | Filter by message delivery status |
| `page` | `query` | No | Page index (0-based) |
| `pageSize` | `query` | No | Number of records per page |

### Responses

- **`200`**: Paginated history search results

```json
{
  "type": "object",
  "properties": {
    "status": {
      "type": "string",
      "example": "success"
    },
    "data": {
      "type": "object",
      "properties": {
        "content": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/SmsHistoryItemDto"
          }
        },
        "totalElements": {
          "type": "integer",
          "example": 142
        },
        "page": {
          "type": "integer",
          "example": 0
        },
        "pageSize": {
          "type": "integer",
          "example": 20
        }
      }
    }
  }
}
```
- **`401`**: Authentication failed or API key missing